# Privacy notice and terms of service for the Online SBML4Humans

We, the maintainers of [sbml4humans.de](https://sbml4humans.de), know you care how information about you is used. We appreciate that you trust us to use your information carefully and sensibly. This notice describes the Online SBML4Humans privacy policy.

By using the Online SBML4Humans facilities of [sbml4humans.de](https://sbml4humans.de), you agree to accept the practices, limitations and disclaimers described below. 

## Can you avoid submitting any information?

If you prefer to have greater privacy, you can avoid using the Online SBML4Humans by downloading [sbmlutils](https://github.com/matthiaskoenig/sbmlutils) (which contains the report engine) and running [sbmlutils](https://github.com/matthiaskoenig/sbmlutils) on your own private computer. This avoids the need to enter any information to this online service or uploading any models to [sbml4humans.de](https://sbml4humans.de). 

## What information does this service gather?

This system receives and stores any information you enter on this website, and in addition, it uses some of the information you provide directly to infer other information automatically. The following describes what we gather:

* The Internet Protocol (IP) address from which [sbml4humans.de](https://sbml4humans.de) facility is accessed;
* The date and time at which this service is accessed;
* The pages accessed (recorded as the file names accessed on the server);
* Any file or SBML model you upload or paste in to this service;
* Any errors or warnings generated by the systems implementing this facility, including but not limited to the web server software and the Google analytics system described below; and
* Statistics such as the length of time that report took to perform, the errors or warnings generated by the report, and similar data computed by the report; and 

# Does this service store your SBML model or file?

This service is implemented as a server-side facility, meaning that the computations are physically performed on our computers. As a consequence, your SBML file or pasted-in text must be transmitted to, and stored temporarily on, our servers in order to process it. This online system also collects and stores the following information automatically, as described in the section titled What information does this service gather? above.

In the event that this service itself exhibits an error, the SBML4Humans Team may need to inspect the material you submitted (i.e., the SBML file or pasted-in text) to ascertain the cause of the error in the Online SBML4Humans system.

Your SBML file or pasted-in text, the IP address data, and the page data will never be passed willingly to any third party, and it will be deleted after a period of time. Your SBML file/text will only be used for the purposes of creating reports, for gathering general statistics about the uses of this service, and for debugging the service itself (and then, only if necessary). By submitting content to this validation service, you grant the SBML4Humans Team the right to use and store your file temporarily for these purposes. 

## How are Google Analytics used on this website?

This website uses Google Analytics, a web analytics service provided by Google, Inc. ("Google"). Google Analytics uses cookies to help this website analyze how users use this site. The information generated by the cookies about your use of the website (including your IP address) will be transmitted to and stored by Google on servers in the United States. Google will use this information for the purpose of evaluating your use of the website, compiling reports on website activity for website operators and providing other services relating to website activity and internet usage. Google may also transfer this information to third parties where required to do so by law, or where such third parties process the information on Google's behalf. Google will not associate your IP address with any other data held by Google. You may refuse the use of cookies by selecting the appropriate settings on your browser. By using the [sbml4humans.de](https://sbml4humans.de) website, including the Online SBML4Humans, you consent to the processing of data about you by Google in the manner and for the purposes set out here. 

## How do we use information about you and your models?

We use the information you provide, and other information we gather, in the following ways:

* To provide the mechanisms to perform a best-effort report of any SBML files or models you upload or otherwise supply to this service. 
  
* To gather general statistics about the SBML contents uploaded to this service, for the following purposes:
  * Help us understand how the service is used, 
  * Help us improve the design and implementation of this service, 
  * Provide data to enable us to write articles and other reports about the use of SBML4Humans and this service. 

These uses of your SBML content do not involve analyzing or interpreting the meaning of the model uploaded to this service; these processes only concern the usage of SBML. We do not need to attempt to understand what you are modeling in order to perform the analyses described above. Rest assured that we have no need or interest in trying to understand your model, or its purpose. The temporary storage of your model is only necessary to implement this report service, and the statistics gathered on all SBML models only focus on the uses of SBML constructs.

Only the core staff members in charge of maintaining [sbml4humans.de](https://sbml4humans.de) and this service will have access to these data. We will not willingly reveal identifying information, or associations between names and specific SBML models or other data, to anyone. 

## Terms of service and disclaimers

[sbml4humans.de](https://sbml4humans.de) is a site devoted to providing information and resources concerning the Systems Biology Markup Language (SBML). It is a free online resource. While the developers and maintainers of [sbml4humans.de](https://sbml4humans.de) hope the content is useful, no one and no organization associated with the site make any claims, representations or other promises whatsoever about any aspect of the content.

### No contract

The information provided on [sbml4humans.de](https://sbml4humans.de) is being provided freely, and no agreement or contract is created between you and the Humboldt-University Berlin, the individual contributors of content on [sbml4humans.de](https://sbml4humans.de), any project administrators, or anyone else who is in any way connected with this project or services. You are being granted a limited license to copy what you find on this site; it does not create or imply any contractual or extracontractual liability on the part of [sbml4humans.de](https://sbml4humans.de) or any of its agents, members, organizers or other users.

### No warranty and no liability

All content on [sbml4humans.de](https://sbml4humans.de) is provided in the hope that it will be useful, but WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Neither the Humboldt-University Berlin, nor collaborating institutions, nor the German Government, nor any of their employees, make any warranty, express or implied, including the warranties of merchantability and fitness for a particular purpose, or assumes any legal liability or responsibility for the accuracy, completeness, or usefulness of any information, results, apparatus, product, or process disclosed, or represents that its use would not infringe privately owned rights. The content is on an "as is" basis, and the Humboldt-University Berlin and any other organizations that have participated in the SBML4Humans project have no obligations to provide maintenance, support, updates, enhancements or modifications. In no event shall the Humboldt-University Berlin or any other organizations be liable to any party for direct, indirect, special, incidental or consequential damages, including lost profits, arising out of the use of this software and its documentation, even if the Humboldt-University Berlin or other organizations have been advised of the possibility of such damage.

No one associated with the SBML4Humans project, its hosting institutions, or anyone else, will be held liable for any breaches of privacy involving this service.

No one associated with the SBML4Humans project, its hosting institutions, or anyone else in any way whatsoever shall be held responsible for the appearance of any inaccurate, libelous, or objectionable content, or for your use of the information contained in or linked from these web pages.

### No endorsements

Reference herein to any specific commercial products, process, or service by trade name, trademark, manufacturer, or otherwise, does not necessarily constitute or imply its endorsement, recommendation, or favoring by the Humboldt-University Berlin, partner institutions, or the German Government. The views and opinions of authors expressed herein do not necessarily state or reflect those of the Humboldt-University Berlin, collaborating institutions, or the United States Government, and shall not be used for advertising or product endorsement purposes. 

Adapted from the [SBML validator privacy notice](http://sbml.org/Facilities/Documentation/Privacy_notice_and_terms_of_service_for_the_Online_SBML_Validator).
